orchestrator
2024.10
false
- Getting started
- Authentication
- Swagger definition
- Orchestrator APIs
- Alerts Requests
- Assets requests
- Calendars requests
- Environments requests
- Folders requests
- Generic Tasks requests
- Jobs requests
- Libraries requests
- License requests
- Packages requests
- Permissions requests
- Personal workspaces requests
- Processes requests
- Queue Items requests
- Queue retention policy requests
- Robots requests
- Roles requests
- Schedules requests
- Settings requests
- Storage bucket requests
- Tasks requests
- Task Catalogs requests
- Task Forms requests
- Tenants requests
- Transactions requests
- Users requests
- Webhooks requests
- Platform Management APIs

Orchestrator API guide
Last updated Mar 24, 2026
Get Specific Robot Account
Returns information about a robot account, based on the organization and robot account ID.
API Endpoint
GET https://{yourDomain}/{organizationName}/identity/api/RobotAccount/{partitionGlobalId}/{robotAccountId}
Scopes
Requires the following scopes:
- PM.RobotAccount
- PM.RobotAccount.Read
Request Headers
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Note:
To obtain the {access_token}, make sure to authenticate through one of the methods described here.
Path Parameters
| Path param | Data type | Description |
|---|---|---|
partitionGlobalId (required) | String | The ID of the organization containing the desired group. |
robotAccountID (required) | String | The ID of the robot account you want to retrieve. |
Responses
200 OK
The specified robot account information is returned, such as name, creation time, and the group IDs the account is part of.
Example Request
Let's say you gathered all the information needed to build the API call.
- Your
{baseURL}is:https://{yourDomain}/{organizationName}/{tenantName}/ - Your
{access_token}is:1234(for length considerations). - The
{partitionGlobalId}is:magic-7 - The
{robotAccountID}is:33-ab
The call should look like below (cURL):
curl --location --request GET 'https://{yourDomain}/{organizationName}/{tenantName}/identity_/api/RobotAccount/magic-7/33-ab' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request GET 'https://{yourDomain}/{organizationName}/{tenantName}/identity_/api/RobotAccount/magic-7/33-ab' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
Here's the response body for a successful call:
{
"id": "33-ab",
"name": "Bot3",
"displayName": "Bot3",
"creationTime": "2021-10-19T14:25:01.6574988",
"lastModificationTime": "2021-10-19T14:25:01.6574988",
"groupIds": [
"4d161738-7204", "ce684f6f-5af3"
]
}
{
"id": "33-ab",
"name": "Bot3",
"displayName": "Bot3",
"creationTime": "2021-10-19T14:25:01.6574988",
"lastModificationTime": "2021-10-19T14:25:01.6574988",
"groupIds": [
"4d161738-7204", "ce684f6f-5af3"
]
}